%define module	WeakRef
%define name	perl-%{module}
%define version 0.01
%define release %mkrel 12

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	An API to the Perl weak references
License:	GPL or Artistic
Group:		Development/Perl
URL:            http://search.cpan.org/dist/%{module}
Source:         http://www.cpan.org/modules/by-module/WeakRef/%{module}-%{version}.tar.bz2

Buildrequires:	perl-devel


%description
A patch to Perl 5.005_55 by the author implements a core API for weak
references. This module is a Perl-level interface to that API, allowing weak
references to be created in Perl.

A weak reference is just like an ordinary Perl reference except that it isn't
included in the reference count of the thing referred to. This means that once
all references to a particular piece of data are weak, the piece of data is
freed and all the weak references are set to undef. This is particularly useful
for implementing circular data structures without memory leaks or caches of
objects.

%prep
%setup -n %{module}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%{__make} test

%install
rm -rf %{buildroot}
%makeinstall_std

%clean 
rm -rf %{buildroot}

%files 
%defattr(-,root,root)
%doc Changes README
%{perl_vendorarch}/*
%{_mandir}/*/*


%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.01-12.mga3
+ Revision: 374816
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 0.01-11.mga3
+ Revision: 251316
- rebuild for perl 5.16

* Sun Jun 12 2011 sander85 <sander85> 0.01-10.mga2
+ Revision: 105106
- Rebuild for perl 5.14

* Sat Jan 22 2011 jquelin <jquelin> 0.01-9.mga1
+ Revision: 31461
- mageia rebuild
- imported package perl-WeakRef

